<template>
  <main id="workTest">
    <nav class="navbar navbar-expand-sm bg-dark">
      <h4 class="text-light mr-5">Tour of Heroes</h4>
      <ul class="navbar-nav" v-for="(sideMenu, index) in sideMenuList" :key="index">
        <li class="nav-item">
          <n-link :to="sideMenu.to" class="nav-link text-light"
                  :class="{'active': $route.path.includes(sideMenu.name)}">
            {{ sideMenu.title }}
          </n-link>
        </li>
      </ul>
    </nav>
    <div class="container mt-4 mb-4">
      <nuxt />
      <div class="message-box" v-if="messages.length > 0 && $route.name">
        <div class="row col-12">
          <h2 class="text-primary message-topic">Messages</h2>
          <button class="btn btn-outline-primary btn-clear m-4" @click="clearMessages()">Clear</button>
        </div>
        <div class="card">
          <ul class="list-group list-group-flush" v-for="(message, index) in messages" :key="index">
            <li class="list-group-item">{{ `HeroService: ${message}` }}</li>
          </ul>
        </div>
      </div>
    </div>
  </main>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  data () {
    return {
      clipped: false,
      drawer: false,
      fixed: false,
      sideMenuList: [
        { icon: 'mdi-apps', name: 'dashboard', title: 'Dashboard', to: '/dashboard' },
        { icon: 'mdi-chart-bubble', name: 'heroes', title: 'Heroes', to: '/heroes' }
      ],
      messages: this.$store.getters['heroes/getMessage'],
      miniVariant: false,
    }
  },
  methods: {
    ...mapActions({
      deleteMessages: 'setMessages'
    }),
    clearMessages () {
      const vm = this
      vm.deleteMessages()
    }
  }
}
</script>
<style lang="scss" scoped>
  #workTest {
    .active {
      color: #039be5 !important;
    }
    .btn-sub-menu {
      margin: 10px 10px 0 0;
      color: #334953;
      &:hover {
        color: #039be5;
      }
    }
    .message-box {
      .message-topic {
        margin: 20px 0;
      }
      .btn-clear {
        margin-bottom: 12px;
      }
      .card {
        width: fit-content;
      }
    }
  }
</style>
